Package org.apache.ignite.internal.processors.cache

## Class LockedEntriesInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.LockedEntriesInfo

    public class LockedEntriesInfo
    extends Object

Helper class to acquire java level locks on unordered set of entries and avoid deadlocks.

### Constructor Summary

Constructors
`LockedEntriesInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `tryLockEntries​(GridCacheEntryEx[] entries)` Attempt to lock all provided entries avoiding deadlocks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockedEntriesInfo

    public LockedEntriesInfo()

### Method Detail

#### tryLockEntries

    public boolean tryLockEntries​(GridCacheEntryEx[] entries)

Attempt to lock all provided entries avoiding deadlocks.

Parameters:
  `entries` - Entries to lock.
Returns:
  `True` if entries were successfully locked, `false` if possible deadlock detected or some entries are obsolete (lock attempt should be retried in this case).